Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.sasn1
Class BerOctetStringGenerator

    java.lang.Object
      org.bouncycastle.sasn1.Asn1Generator
          org.bouncycastle.sasn1.BerGenerator
              org.bouncycastle.sasn1.BerOctetStringGenerator

Deprecated. use corresponsding classes in org.bouncycastle.asn1.

    public class BerOctetStringGenerator

extends BerGenerator

Field Summary

Fields inherited from class org.bouncycastle.sasn1.Asn1Generator
`_out`

Constructor Summary
`BerOctetStringGenerator(java.io.OutputStream out)` Deprecated.
`BerOctetStringGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)` Deprecated.

Method Summary
`java.io.OutputStream` `getOctetOutputStream()` Deprecated.
`java.io.OutputStream` `getOctetOutputStream(byte[] buf)` Deprecated.

Methods inherited from class org.bouncycastle.sasn1.BerGenerator
`getRawOutputStream, writeBerBody, writeBerEnd, writeBerHeader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BerOctetStringGenerator

    public BerOctetStringGenerator(java.io.OutputStream out)
                            throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### BerOctetStringGenerator

    public BerOctetStringGenerator(java.io.OutputStream out,
                                   int tagNo,
                                   boolean isExplicit)
                            throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Method Detail

### getOctetOutputStream

    public java.io.OutputStream getOctetOutputStream()

  Deprecated.

### getOctetOutputStream

    public java.io.OutputStream getOctetOutputStream(byte[] buf)

  Deprecated.

Bouncy Castle Cryptography Library 1.45